package com.yizhi.message.application.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 *
 * </p>
 *
 * @author hutao123
 * @since 2019-09-09
 */
@Data
@Api(tags = "MessageVisibleRangeVo", description = "消息可见范围对象")
public class MessageVisibleRangeVo  {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "消息id")
    private Long messageId;

    @ApiModelProperty(value = "待发消息id")
    private Long messageRemindId;

    @ApiModelProperty(value = "类型(1、部门；2、用户)")
    private Integer type;

    @ApiModelProperty(value = "可能是部门id 也可能是用户id")
    private Long relationId;

    @ApiModelProperty(value = "关联模块类型(、1：学习计划、2：考试、3：调研、4、投票5：报名、6：作业、7：签到、8：项目、9：直播、10：积分)")
    private Integer relationType;

    @ApiModelProperty(value = "关联的业务id:     比如调研id")
    private Long taskId;

    @ApiModelProperty(value = "用户名或 部门名称")
    private String name;

    @ApiModelProperty(value = "用户真实姓名")
    private String fullName;

    @ApiModelProperty(value = "工号")
    private String workNum;



}
